This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182126 - RFE: pirut needs to log to yum.log for auditing reasons
RFE: pirut needs to log to yum.log for auditing reasons
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 13:03 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:18:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-02-20 13:03:01 EST
Description of problem:
I am unable to test pirut effectively unless I am able to audit its actions.
That means at a minimum pirut needs to log to something like yum.log. 

Beyond using yum.log, pirut needs to give me summary information as to the
actions is going to take.. before it takes them. You can make whatever UI
decisions you want with regard to how that information is presented for testers.
 It can be to the console with a cmdline switch to put pirut into a dummy
transaction mode for all I care if you don't want to expose this level of
information to normal users. 

But if there is no way to reliably audit pirut's actions then there is no reason
for me to waste time trying to find problems in its behavior. I am most
concerned about group removal behavior, but without summary information and
logging information to use to audit before/after actions there's very little
point in spending time trying to beat on it.  I hope group levels removals are
working as expected it won't be fun watching people get burned by it if they
aren't.  Okay that's a lie, it will be sort of fun.

Looking into post-release, it will become more difficult to try to remotely
troubleshoot systems post-release where people have used pirut and their is no
log summary to show when packages were added and removed. The yum.log is a very
valuable tool in helping users track down when a problem originated,especially
when the problem involves package removals/updates that removed functionality
unexpectedly.
    
"Trust but verify" 
- Ronald Reagan
Comment 1 Jeremy Katz 2006-02-20 15:00:03 EST
I've added the logging to yum.log (oops, that was supposed to be there).

For the summary information, let's take the discussion to fedora-devel where I
responded to Willem Riede on the pirut thread and see where things go from
there.  I'm not *against* adding it, I just want to try to iterate through UI
ideas in the most efficient way possible.
Comment 2 Jef Spaleta 2006-02-20 15:27:04 EST
You can argue about how to best expose the UI for normal usage for another
month. In the meantime, very little effective testing of the group level
functionality using pirut is going to be performed. Having inexperienced people
using pirut pop into the lists and say they might have used pirut to remove
evolution and had gnome-session get removed is very disconcerting and there is
no way to follow-up with them to see if thats really what happened. Very
disconcerting. I hope the extended discussion to perfect the UI is worth waiting
on implementing any auditable feedback in a timeframe that would be useful for
pre-release testing. 

-jef

Comment 3 Jeremy Katz 2006-02-21 18:18:38 EST
Added a dialog in CVS

Note You need to log in before you can comment on or make changes to this bug.